Results 1 to 8 of 8

Thread: Troubleshooting - Upgrade Metasploit 404 Not Found

  1. #1
    Join Date
    2015-Jul
    Posts
    6

    Exclamation Troubleshooting - Upgrade Metasploit 404 Not Found

    It seems either the repos are out of sync again or I am using an older repo and need to update and need help finding the correct answer to this.

    What I have tried

    apt-get update
    apt-get upgrade - this is where the error is printed

    apt-get update --fix-missing - doesnt resolve the issue

    rebooted and tried above again still no resolution.

    Error when upgrading:
    Err http://http.kali.org/kali/ kali/main metasploit-framework amd64 4.11.3-2015063001-1kali0
    404 Not Found
    Failed to fetch http://http.kali.org/kali/pool/main/...ali0_amd64.deb 404 Not Found
    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?


    Sources list:
    deb http://http.kali.org/kali kali main contrib non-free
    deb-src http://http.kali.org/kali kali main contrib non-free
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    deb-src http://security.kali.org/kali-security kali/updates main contrib non-free

    # Bleeding Edge
    deb http://repo.kali.org/kali kali-bleeding-edge main

    Thanks

  2. #2
    Join Date
    2013-Dec
    Location
    Krakow
    Posts
    67
    Did you try msfupdate?

    crash@anubis:~# msfupdate[*][*] Attempting to update the Metasploit Framework...[*]
    [*] Checking for updates via the APT repository[*] Note: expect weekly(ish) updates using this method[*] Updating to version 4.11.4-2015071402-1kali0
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
    python-bitarray python-bloomfilter
    Use 'apt-get autoremove' to remove them.
    .
    .
    .
    Configuring Metasploit...
    Creating metasploit database user 'msf3'...
    Creating metasploit database 'msf3'...
    [ ok ] Starting Metasploit rpc server: prosvc.
    [ ok ] Starting Metasploit web server: thin.
    [ ok ] Starting Metasploit worker: worker.
    crash@anubis:~# msfconsole[*] The initial module cache will be built in the background, this can take 2-5 minutes...

    , ,
    / \
    ((__---,,,---__))
    (_) O O (_)_________
    \ _ / |\
    o_o \ M S F | \
    \ _____ | *
    ||| WW|||
    ||| |||


    Taking notes in notepad? Have Metasploit Pro track & report
    your progress and findings -- learn more on http://rapid7.com/metasploit

    =[ metasploit v4.11.4-2015071402 ]
    + -- --=[ 1467 exploits - 840 auxiliary - 232 post ]
    + -- --=[ 432 payloads - 37 encoders - 8 nops ]
    + -- --=[ Free Metasploit Pro trial: http://r-7.co/trymsp ]

    msf >
    Last edited by Crash; 2015-07-23 at 07:02.

  3. #3
    Join Date
    2015-Jul
    Posts
    6
    Thank you Crash, I have tried msfupdate and it did not resolve the issues with the version problem so I have since uninstalled it and it and still receive the error when trying to re-install.

    If you browse in a browser or wget to where the file is looking it doesn't seem to exist..
    The requested URL /kali/pool/main/m/metasploit-framework/metasploit-framework_4.11.3-2015063001-1kali0_amd64.deb was not found on this server.

    There is also another thread about the same issue here:
    https://translate.googleusercontent....zfdCj59aH3G9Rw

    Could this be a problem with the kali repos?

    Maybe something wrong with the cache that apt-get update wont fix?

    I have also tried installing from source but ran into ruby version issues and dont want to go any further in fear i may mess up the system.

    Calling all smart kali guru's for assistance please help!

  4. #4
    Join Date
    2013-Dec
    Location
    Krakow
    Posts
    67
    Hi Man!

    So, please check your repositories:
    Official & default values -> http://docs.kali.org/general-use/kal...t-repositories
    Enabling Bleeding Edge Repo -> http://www.kali.org/kali-monday/blee...-repositories/
    Official Mirrors -> http://docs.kali.org/kali-support/kali-linux-mirrors
    Your mirror -> http://http.kali.org/README.mirrorlist.

    Also, if not fix, please wait one more day and try again.
    If the problem persists, write me again.


    Thanks (:

  5. #5
    Join Date
    2015-Jul
    Posts
    2
    I too am having the same issue. Guess I'll wait a day and try again.

  6. #6
    Join Date
    2015-Jul
    Posts
    2
    My issue was an exact duplicate of what was going on above. I was using the vmware image from offsec's website. I decided to download the latest version of kali from kali's website. after installing and upgrading, I no longer have any issues with the metasploit framework issuing the 404 not found error mentioned above. It could be an issue with the vmware image and how it is currently set up?

    update: After running apt-get update/upgrade on the aforementioned vmware image, it looks like the updates went through just fine. As Crash said, wait a day or two and it will be ok. no more issues here.

  7. #7
    Join Date
    2015-Jul
    Posts
    6
    I also confirm it is now working and the repo issue seems to be resolved with no additional changes on my end.

  8. #8
    Join Date
    2015-Jul
    Posts
    6
    For me, updating the sources.list for the http://http.Kali......etc to http://repo.Kali....etc. not only fixed my 404's but is now considerably faster.

Similar Threads

  1. TroubleShooting- No screens found !!
    By janiour in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2017-01-23, 22:42
  2. apt-get update upgrade 404 not found
    By theflakes in forum TroubleShooting Archive
    Replies: 4
    Last Post: 2016-09-04, 20:10
  3. Broken metasploit after upgrade (rake not found)
    By sole in forum General Archive
    Replies: 2
    Last Post: 2016-03-17, 14:44
  4. SET - Metasploit not found
    By tommy40687 in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2015-11-28, 19:13

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •